package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author trs
 * @since 2024-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class NmResultNotice extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("SOURCE_DATA_KEY")
    private String sourceDataKey;

    @TableField("PROJECT_CODE")
    private String projectCode;

    @TableField("TENDER_PROJECT_CODE")
    private String tenderProjectCode;

    @TableField("BID_SECTION_CODE")
    private String bidSectionCode;

    @TableField("NOTICE_NAME")
    private String noticeName;

    @TableField("NOTICE_CONTENT")
    private String noticeContent;

    @TableField("NOTICE_SEND_TIME")
    private Integer noticeSendTime;

    @TableField("NOTICE_MEDIA")
    private String noticeMedia;

    @TableField("URL")
    private String url;

    @TableField("BULLETIN_TYPE")
    private String bulletinType;

    @TableField("WIN_BIDDER_NAME")
    private String winBidderName;

    @TableField("BIDDER_CODE_TYPE")
    private String bidderCodeType;

    @TableField("WIN_BIDDER_CODE")
    private String winBidderCode;

    @TableField("BID_AMOUNT")
    private String bidAmount;

    @TableField("PLATFORM_CODE")
    private String platformCode;

    @TableField("PUB_SERVICE_PLAT_CODE")
    private String pubServicePlatCode;

    @TableField("DATA_TIMESTAMP")
    private Integer dataTimestamp;

    @TableField("PSP_RELATE_NOTICE_ID")
    private String pspRelateNoticeId;

    @TableField("PSP_FIRST_NOTICE_ID")
    private String pspFirstNoticeId;

    @TableField("PSP_RELATE_RESULT_NOTICE_ID")
    private String pspRelateResultNoticeId;

    @TableField("PSP_BID_OPEN_TIME")
    private Integer pspBidOpenTime;

    @TableField("TENDER_CODE")
    private String tenderCode;

    @TableField("OTHER_CONTENT")
    private String otherContent;

    @TableField("BULLETIN_DUTY")
    private String bulletinDuty;

    @TableField("EXAMINER_NAME")
    private String examinerName;

    @TableField("ATTACHMENT_CODE")
    private String attachmentCode;

    @TableField("N_BIDDER_CODE_TYPE")
    private String nBidderCodeType;

    @TableField("REGION_CODE")
    private String regionCode;

    @TableField("TRA_PLACE_CODE")
    private String traPlaceCode;

    @TableField("TENDER_AGENCY_NAME")
    private String tenderAgencyName;

    @TableField("TENDER_AGENCY_CODE")
    private String tenderAgencyCode;

    @TableField("PRICE_FORM_CODE")
    private String priceFormCode;

    @TableField("OTHER_BID_PRICE")
    private String otherBidPrice;


}
